Subject: IMPORTANT: Strategy for VPN work in IETF

From: Alex Zinin <[email-masked]>
Date: Sun, 4 May 2003 00:11:52 -0700

Folks,

Since San Francisco IETF meeting the IESG has been considering the
situation in the SUB-IP area and in the PPVPN Working Group in particular.

Such close attention to this WG was triggered by numerous concerns that
the IESG members received from the WG participants about limited and
slow progress within the WG despite the efforts of the WG chairs and its
members. The IESG also used this opportunity to consider the IETF area 
that the PPVPN work would fit best.

After much deliberation, the involved ADs (Bert, Thomas, and I) are 
considering the following organizational changes in order to improve WG 
focus and productivity and ensure faster progress of the VPN-related work:

 1. Split of Layer-2 and Layer-3 VPN work in separate Working Groups.

    The L2 and L3 VPN work spaces are each big enough to warrant a separate 
    WG. While concentration of all VPN-related work in a single forum was 
    the right thing to do to ensure coordination of efforts when the PPVPN 
    WG was created and L2 VPN work came in, such concentration is causing
    scaling problems within the WG at this moment. 

    Migration of work into two separate WGs for L2 and L3 VPN technologies
    with more specific WG charters will help to focus discussions, prevent 
    staff and meeting time overloading, and will aid faster progress of 
    corresponding technologies.

 2. Migration of the VPN-related work to the Internet area.

    As previously discussed, VPN-related work could be argued to belong
    to more than one area. Tunneling mechanisms are the property that
    gravitates this work to the Internet area, which is where we believe
    the VPN work should go.

    As part of this move, we are also considering moving PWE3 into INT, 
    so that L2TPEXT, PWE3, and thew new VPN WGs are operating in the same
    area.

Based on the above considerations, we are considering the following steps:

 1. Two new WGs--L2VPN and L3VPN--will be created in the Internet area.
    The mailing lists will be established and the discussion of the proposed 
    charters of the new WGs will be initiated shortly.

 2. Once the charters of the new WGs are agreed upon and approved by the IESG,
    creation of the L2VPN and L3VPN WGs and shutdown of the PPVPN WG will be
    performed simultaneously. PPVPN WG documents will be migrated to the 
    corresponding new WGs.

It is our intention to complete this process by the Vienna IETF meeting. 
Also, these changes are being made for management reasons and are not intended 
to be a "reset" on WG activities or to halt or interrupt progress on current 
ongoing WG activities.

We'd like to hear from the WG members if they see any fatal flaws with
the proposed approach. Please send us your feedback by May 11th.

Regards,

--
Alex Zinin
IETF SUB-IP Area Co-Director

---

From: Waldemar Augustyn <[email-masked]>
Date: Mon, 05 May 2003 00:33:21 -0400

Well,

as the co-originator, with Tissa, of the L2 VPN work within PPVPN, I 
would like to say I am glad to see this effort finally recognized as 
significant.  But the two year delay does not impress me.  What is being 
proposed should have been done at that time, two years ago. At the very 
least, the charter of ppvpn should have been adjusted as it was promised 
but never done.  The good thing is, we were able to progress and we will 
continue to progress regardless of what IESG does or does not do.  

It appears, what we're talking about is playing catch up.  The issue is 
really the charter which makes no sense, but  I do not see the point of 
splitting the WG after these years.  But, if all we're being asked to do 
is change a few header lines on our documents, then that's fine.  We're 
easy, glad to make somebody happy.

Waldemar

>situation in the SUB-IP area and in the PPVPN Working Group in particular.
[snip]

---

From: Eric Rosen <[email-masked]>
Date: Mon, 05 May 2003 10:43:56 -0400

Alex> these  changes are  being  made  for management  reasons  and are  not
Alex> intended to  be a  "reset" on  WG activities or  to halt  or interrupt
Alex> progress on current ongoing WG activities. 

That being the case, I think  the proposed changes make sense, at least from
the 50,000 foot  level.  (One could hardly say that things  are fine the way
they are!)  I do have the following concerns:

1. Before being comfortable with a  reorganization, I'd like to see what the
   new charters  will be.  I'd particularly  like to be sure  that the L3VPN
   charter is  not constructed so as to  cause a reset.  Same  with the PWE3
   charter; we don't want to have to refight old wars.

2. From ground level, the most important  aspect of a particular WG being in
   a particular  area is the  attitude of that  area's ADs towards  the work
   that the WG is doing.  This is  an unknown to us. Given that at least one
   IESG member  (though not one involved  in this reorg) has  been quoted in
   the trade  tabloids as  saying that this  work is  all a scam  which will
   destroy the  network, you can  see why we  might react cautiously  to any
   proposed change. 

Despite these concerns, I do think  that L2VPN and L3VPN are separate pieces
of work which need separate focus, and  I don't think that there should be a
"sub-ip"  area into  which  one  throws anything  that  might possibly  have
anything to do with MPLS.

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 05 May 2003 22:09:29 +0200

Alex,

I think that auto92679 is partially correct that it is just impossible
to
master every piece of technology for AD or IESG member... :) Well reg
the split I have a mixed feelings, but I guess I will be fine either way
provided that charters actually and explicitely allow for something
productive to be done in the new groups.

R.

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 5 May 2003 16:27:58 -0400

I personally like the approach.

	A few questions about clarifications. 
Will new framework/requirements be needed, or 
will the existing ones just be re-assigned
accordingly? There are some cases where some 
documents straddle the fence; how will these be 
handled?

	--Tom

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Alex Zinin
> Sent: Sunday, May 04, 2003 3:12 AM
> To: [email-masked]
> Cc: [email-masked]; Wijnen, Bert (Bert); Thomas Narten; 
> Peterson, Jon; Allison Mankin
> Subject: [PWE3] IMPORTANT: Strategy for VPN work in IETF
> 
> 
> Folks,
> 
> Since San Francisco IETF meeting the IESG has been 
> considering the situation in the SUB-IP area and in the PPVPN 
> Working Group in particular.
> 
> Such close attention to this WG was triggered by numerous 
> concerns that the IESG members received from the WG 
> participants about limited and slow progress within the WG 
> despite the efforts of the WG chairs and its members. The 
> IESG also used this opportunity to consider the IETF area 
> We'd like to hear from the WG members if they see any fatal 
> flaws with the proposed approach. Please send us your 
> feedback by May 11th.
> 
> Regards,
> 
> --
> Alex Zinin
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>

---

From: Thomas Narten <[email-masked]>
Date: Wed, 07 May 2003 12:24:18 -0400

Catching up a bit (and summarizing)...

Waldemar Augustyn <[email-masked]> writes:

> but never done.

As the likely Area Advisor for these WGs, I think it is important to
get the charters updated so that the WG and the ADs (and IESG) are in
sync. Doing so sooner rather than later tends minimize (later)
problems. (Note: this is true in general and if we end up moving these
WGs to INT, doing this as part of the move seems logical, which is why
I'm now following this all more closely.)

> splitting the WG after these years.

My understanding after having looked at the work as that there are
something like 12-13 IDs on L3 VPNs in the pipeline. That's no small
number and suggests that an L3 focused WG still has plenty on its
plate.

>    charter; we don't want to have to refight old wars.

Fair enough. I don't think a PWE3 revised charter has even been
drafted yet, but for the L2/L3 there are drafts (somewhere). Stay
tuned.

>    destroy the  network, you can  see why we  might react cautiously  to any

I don't know that I've been quoted on the press on this topic, so I'll
assume the referal is to someone else. :-)

Bottom line is that I'm fairly agnostic about the technology. I
understand that there is a need for it, folks seem to want to do it,
and there is a WG in place that is well on its way towards doing the
work. I don't see a need to revisit such basic questions. But I am
interested in seeing the WG complete work in a reasonable fashion in a
way that when the documents make it to the IESG, there are no suprises
and I can make the case that the work is baked/solid and there are no
serious issues the WG neglected to consider. More on this over the
next few weeks, I expect.

As one example, on the topic of "one vs. multiple solutions", I know
the IESG will ask, why are we standardizing 3 solutions to the same
problem (if that is what the WG thinks it is going to do). The WG will
have to be able to answer that sort of question with a credible
response (and in some cases, a credible justification is that the
solutions are very different and there are different applicabilities
to the mechanisms -- but one needs to look at the details on this). If
the answer simply is "because we want to and we'll let the market
decide", the IESG may well come back and say fine, make them all
experimental, none of them on standards track. Revisit when the market
has decided. Would that be what the WG wants? Would that be in the
best interests of the IETF and Internet community? I wonder.

"Hamid Ould-Brahim" <[email-masked]> writes:

> Wouldn't be more appropriate to first discuss what these concerns
> are and if they are indeed justified concerns, and solicit feedback
> from the wg to discuss options or improvements on how to move the wg
> forward and get consensus on that. If I recall, similar open
> approach has been taken for sup-ip area in Atlanta meeting.

Sometimes, public discussions aren't the best way to deal with issues
constructively. This is particularly true when it comes to management
questions about WG operations.

> After all, the amount of work after the split is exactly 
> the same as before the split if not bigger (given that
> l3vpns work is almost done and the split will
> introduce additional administrative overhead).

But if there are two WGs, the management load is split across more
chairs, so it takes less cycles (e.g., from each chair) to manage each
WG. There is a basic tension in the IETF between having WGs that are
too large (a similar discussion has been ongoing in places like
MobileIP and IPv6 over the last year) and where splitting them up into
smaller WGs can help focus them. Indeed, there have been numerious
conversations about this on the problem-statement list (with one view
being that smaller, focused WGs tending to do a better job of
completing their work than larger ones). I tend to share that view (as
a general observation), and given that there are some 13 documents in
the L3 space alone, I see there being ample work for a standalone WG
to take on. Will splitting up the WGs _guarantee_ this? Of course
not. Does it solve all possible problems? Of course not. But it can
help, and it seems reasonable in my mind to do so in this case.

Yakov Rekhter <[email-masked]> writes:

> As was pointed by other folks, there is practically no L3 VPN
> related activities now. Practically all the discussion is about L2
> VPN, or to be even more precise, above VPLS. Just count the number
> of messages posted to the list over the last 12 months related to
> L3 VPNs vs L2 VPNs.

The chairs themselves seem to agree that there are some 13 documents
on L3 that are not through the system yet. I'm a bit concerned to hear
that there has been minimal discussion on L3 topics over the last
year, given the number of L3 work items that apparently need to get
completed.

The above could be read as indicating that the discussion/urgency of
the L2 work is pushing out or drowning out discussion on L3 topics. If
that is the case, a separate WG, mailing list, etc., may well help.
I'm assuming the L3 work is important and should get completed.

Thomas

---

From: Eric Rosen <[email-masked]>
Date: Wed, 07 May 2003 12:59:03 -0400

Thomas>  I'm a bit concerned to  hear that there has been minimal discussion
Thomas>  on L3 topics over the last  year, given the number of L3 work items
Thomas>  that apparently need to get completed. 

Well, the issue  here is that they  were all completed a year  ago, and have
been held up by some mysterious process. 

However, I for one would welcome  a smaller WG, focused only on L3VPN, which
would not get distracted by L2VPN issues.   (Though I seem to be the only WG
participant to welcome this ;-)) I do anticipate some problems with the IESG
(as Marco hints) on L3VPN, but I don't think that those problems will be any
less if we keep the topics combined in one WG ;-)

Thomas> The above could be read as indicating that the discussion/urgency of
Thomas> the L2 work is pushing out or drowning out discussion on L3 topics.

Yes, I do think so.

---

From: Scott W Brim <[email-masked]>
Date: Wed, 7 May 2003 13:19:39 -0400

On Wed, May 07, 2003 12:24:18PM -0400, Thomas Narten allegedly wrote:
> There is a basic tension in the IETF between having WGs that are

Having related but small, focused WGs is fine as long as communication
between them is mandated and kept flowing.

---

From: Thomas Narten <[email-masked]>
Date: Wed, 07 May 2003 13:57:18 -0400

> between them is mandated and kept flowing.

Complete agreement, and keeping that communication going is something
I will be watching for. That is also an argument for putting pwe3 and
the ppvpn groups together (and also l2tpext) in the same area since
they all do relate to varying degrees.

Thomas

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 12 May 2003 09:14:54 -0700

Thomas,

> Catching up a bit (and summarizing)...

[clipped...]

> has decided. 

And what is wrong with this (make all experimental, revisit when the
market has decided) ?

> Would that be what the WG wants? Would that be in the

Even more important what would be in the best interests of the
Service Providers ? (as ultimately it is the Service Providers who
are going to use this technology).

Yakov.

---

From: [email-masked]
Date: Mon, 12 May 2003 14:24:36 -0400 (EDT)

> And what is wrong with this (make all experimental, revisit when the

Will these specifications ever be revisited if they are deployed as
experimental, and most of the problems are solved in deployment?   I
suspect that many could remain experimental for a long time.